rte_bbdev_op_mldts(3)

NAME
rte_bbdev_op_mldts

SYNOPSIS

#include <rte_bbdev_op.h>

  Data Fields

struct rte_bbdev_op_data qhy_input
struct rte_bbdev_op_data r_input
struct rte_bbdev_op_data output
uint32_t op_flags
uint16_t num_rbs
uint16_t num_layers
uint8_t q_m [RTE_BBDEV_MAX_MLD_LAYERS]
uint8_t r_rep
uint8_t c_rep

Detailed Description

Operation structure for MLDTS processing.

The output mbuf data structure is expected to be allocated by the application with enough room for the output data.

Definition at line 830 of file rte_bbdev_op.h.

Field Documentation

  struct rte_bbdev_op_data qhy_input
Input data QHy from QR decomposition.

Definition at line 832 of file rte_bbdev_op.h.

  struct rte_bbdev_op_data r_input
Input data R from QR decomposition.

Definition at line 834 of file rte_bbdev_op.h.

  struct rte_bbdev_op_data output
Output data post MLD-TS.

Definition at line 836 of file rte_bbdev_op.h.

  uint32_t op_flags
Flags from rte_bbdev_op_MLDTS_flag_bitmasks.

Definition at line 838 of file rte_bbdev_op.h.

  uint16_t num_rbs
Number of RBs.

Definition at line 840 of file rte_bbdev_op.h.

  uint16_t num_layers
Number of layers 2->4.

Definition at line 842 of file rte_bbdev_op.h.

  uint8_t q_m[RTE_BBDEV_MAX_MLD_LAYERS]
Modulation order (2->8 QPSK to 256QAM).

Definition at line 844 of file rte_bbdev_op.h.

  uint8_t r_rep
Row repetition for the same R matrix - subcarriers.

Definition at line 846 of file rte_bbdev_op.h.

  uint8_t c_rep
Column repetition for the same R matrix - symbols.

Definition at line 848 of file rte_bbdev_op.h.

Author

Generated automatically by Doxygen for DPDK from the source code.